## ide-diagnostics ide-diagnostics |

## Functions

IdeDiagnostics * | ide_diagnostics_ref ()
void | ide_diagnostics_unref ()
gsize | ide_diagnostics_get_size ()
IdeDiagnostic * | ide_diagnostics_index ()
void | ide_diagnostics_merge ()

## Description

## Functions

### ide_diagnostics_ref ()

    IdeDiagnostics *
    ide_diagnostics_ref (IdeDiagnostics *self);

### ide_diagnostics_unref ()

    void
    ide_diagnostics_unref (IdeDiagnostics *self);

### ide_diagnostics_get_size ()

    gsize
    ide_diagnostics_get_size (IdeDiagnostics *self);

Retrieves the number of diagnostics that can be accessed via `ide_diagnostics_index()`.

#### Returns

The number of diagnostics in `self` .

### ide_diagnostics_index ()

    IdeDiagnostic *
    ide_diagnostics_index (IdeDiagnostics *self,
                           gsize index);

Retrieves the diagnostic at `index` .

#### Returns

An IdeDiagnostic.

[transfer none]

### ide_diagnostics_merge ()

    void
    ide_diagnostics_merge (IdeDiagnostics *self,
                           IdeDiagnostics *other);

Copies the contents of `other` into `self` .

This is performed by taking a reference to the immutable IdeDiagnostic instances.

## Types and Values